# Generated by Django 3.2.6 on 2021-08-20 02:28

from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Product',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('product_code', models.CharField(max_length=100, verbose_name='製品コード')),
                ('label', models.CharField(blank=True, max_length=100, null=True, verbose_name='ラベル')),
                ('black', models.IntegerField(default=0, verbose_name='黒')),
                ('gray', models.IntegerField(default=0, verbose_name='灰')),
                ('white', models.IntegerField(default=0, verbose_name='白')),
                ('red', models.IntegerField(default=0, verbose_name='赤')),
                ('orange', models.IntegerField(default=0, verbose_name='橙')),
                ('yellow', models.IntegerField(default=0, verbose_name='黄')),
                ('green', models.IntegerField(default=0, verbose_name='緑')),
                ('blue', models.IntegerField(default=0, verbose_name='青')),
                ('purple', models.IntegerField(default=0, verbose_name='紫')),
            ],
        ),
        migrations.CreateModel(
            name='Train',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('filename', models.FileField(upload_to='upload', verbose_name='学習アップロードファイル')),
                ('name', models.CharField(max_length=200, verbose_name='ファイル名')),
                ('task_id', models.CharField(blank=True, max_length=200, null=True, verbose_name='タスクID')),
                ('status', models.CharField(default='PENDING', max_length=200, verbose_name='ステータス')),
                ('no_oyler', models.CharField(blank=True, max_length=100000, null=True, verbose_name='オイラー存在しない')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='作成日')),
                ('product', models.ManyToManyField(to='app.Product')),
            ],
        ),
        migrations.CreateModel(
            name='Judge',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('filename', models.FileField(upload_to='upload', verbose_name='判定アップロードファイル')),
                ('name', models.CharField(max_length=200, verbose_name='ファイル名')),
                ('no_db', models.CharField(blank=True, max_length=100000, null=True, verbose_name='DB存在しない')),
                ('created_at', models.DateTimeField(auto_now_add=True, verbose_name='作成日')),
                ('product', models.ManyToManyField(to='app.Product')),
            ],
        ),
    ]
